// setDriver.cpp demonstrates set<T> and multiset<T>.

#include <iostream>  // cin, cout, ...
#include <set>       // set<T>, multiset<T>, ...
using namespace std;

int main()
{
   cout << "To demonstrate set<T> vs. multiset<T>,\n"
        << " please enter a sentence: ";
   char ch;
   set<char> charSet;
   multiset<char> charMultiSet;
   for (;;)
   {
      cin.get(ch);
      if (ch == '\n') break;
      charSet.insert(ch);
      charMultiSet.insert(ch);
   }

   cout << "\nThe set<T>: ";
   for (set<char>::iterator it = charSet.begin();
         it != charSet.end(); it++)
     cout << *it << ',';
   cout << endl;

   cout << "\nThe multiset<T>: ";
   for (multiset<char>::iterator it2 = charMultiSet.begin();
         it2 != charMultiSet.end(); it2++)
     cout << *it2 << ',';
   cout << endl;



   return 0;
}
